/twilio-sip | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
twilio_sip_create_sip_auth_calls_credential_list_mapping | Create a new credential list mapping resource |
twilio_sip_create_sip_auth_calls_ip_access_control_list_mapping | Create a new IP Access Control List mapping |
twilio_sip_create_sip_auth_registrations_credential_list_mapping | Create a new credential list mapping resource |
twilio_sip_create_sip_credential | Create a new credential resource. |
twilio_sip_create_sip_credential_list | Create a Credential List |
twilio_sip_create_sip_credential_list_mapping | Create a CredentialListMapping resource for an account. |
twilio_sip_create_sip_domain | Create a new Domain |
twilio_sip_create_sip_ip_access_control_list | Create a new IpAccessControlList resource |
twilio_sip_create_sip_ip_access_control_list_mapping | Create a new IpAccessControlListMapping resource. |
twilio_sip_create_sip_ip_address | Create a new IpAddress resource. |
twilio_sip_delete_auth_calls_credential_list_mapping | Delete a credential list mapping from the requested domain |
twilio_sip_delete_auth_calls_ip_access_control_list_mapping | Delete an IP Access Control List mapping from the requested domain |
twilio_sip_delete_auth_registrations_credential_list_mapping | Delete a credential list mapping from the requested domain |
twilio_sip_delete_credential | Delete a credential resource. |
twilio_sip_delete_credential_list | Delete a Credential List |
twilio_sip_delete_credential_list_mapping | Delete a CredentialListMapping resource from an account. |
twilio_sip_delete_domain | Delete an instance of a Domain |
twilio_sip_delete_ip_access_control_list | Delete an IpAccessControlList from the requested account |
twilio_sip_delete_ip_access_control_list_mapping | Delete an IpAccessControlListMapping resource. |
twilio_sip_delete_ip_address | Delete an IpAddress resource. |
twilio_sip_fetch_sip_auth_calls_credential_list_mapping | Fetch a specific instance of a credential list mapping |
twilio_sip_fetch_sip_auth_calls_ip_access_control_list_mapping | Fetch a specific instance of an IP Access Control List mapping |
twilio_sip_fetch_sip_auth_registrations_credential_list_mapping | Fetch a specific instance of a credential list mapping |
twilio_sip_fetch_sip_credential | Fetch a single credential. |
twilio_sip_fetch_sip_credential_list | Get a Credential List |
twilio_sip_fetch_sip_credential_list_mapping | Fetch a single CredentialListMapping resource from an account. |
twilio_sip_fetch_sip_domain | Fetch an instance of a Domain |
twilio_sip_fetch_sip_ip_access_control_list | Fetch a specific instance of an IpAccessControlList |
twilio_sip_fetch_sip_ip_access_control_list_mapping | Fetch an IpAccessControlListMapping resource. |
twilio_sip_fetch_sip_ip_address | Read one IpAddress resource. |
twilio_sip_list_sip_auth_calls_credential_list_mapping | Retrieve a list of credential list mappings belonging to the domain used in the request |
twilio_sip_list_sip_auth_calls_ip_access_control_list_mapping | Retrieve a list of IP Access Control List mappings belonging to the domain used in the request |
twilio_sip_list_sip_auth_registrations_credential_list_mapping | Retrieve a list of credential list mappings belonging to the domain used in the request |
twilio_sip_list_sip_credential | Retrieve a list of credentials. |
twilio_sip_list_sip_credential_list | Get All Credential Lists |
twilio_sip_list_sip_credential_list_mapping | Read multiple CredentialListMapping resources from an account. |
twilio_sip_list_sip_domain | Retrieve a list of domains belonging to the account used to make the request |
twilio_sip_list_sip_ip_access_control_list | Retrieve a list of IpAccessControlLists that belong to the account used to make the request |
twilio_sip_list_sip_ip_access_control_list_mapping | Retrieve a list of IpAccessControlListMapping resources. |
twilio_sip_list_sip_ip_address | Read multiple IpAddress resources. |
twilio_sip_update_sip_credential | Update a credential resource. |
twilio_sip_update_sip_credential_list | Update a Credential List |
twilio_sip_update_sip_domain | Update the attributes of a domain |
twilio_sip_update_sip_ip_access_control_list | Rename an IpAccessControlList |
twilio_sip_update_sip_ip_address | Update an IpAddress resource. |
twilio_sip_create_sip_auth_calls_credential_list_mapping
Create a new credential list mapping resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that will contain the new resource. |
CredentialListSid | string | Yes | — | The SID of the CredentialList resource to map to the SIP domain. |
twilio_sip_create_sip_auth_calls_ip_access_control_list_mapping
Create a new IP Access Control List mapping Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that will contain the new resource. |
IpAccessControlListSid | string | Yes | — | The SID of the IpAccessControlList resource to map to the SIP domain. |
twilio_sip_create_sip_auth_registrations_credential_list_mapping
Create a new credential list mapping resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that will contain the new resource. |
CredentialListSid | string | Yes | — | The SID of the CredentialList resource to map to the SIP domain. |
twilio_sip_create_sip_credential
Create a new credential resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CredentialListSid | string | Yes | — | The unique id that identifies the credential list to include the created credential. |
Password | string | Yes | — | The password that the username will use when authenticating SIP requests. The password must be a minimum of 12 characters, contain at least 1 digit, and have mixed case. (eg IWasAtSignal2018) |
Username | string | Yes | — | The username that will be passed when authenticating SIP requests. The username should be sent in response to Twilio’s challenge of the initial INVITE. It can be up to 32 characters long. |
twilio_sip_create_sip_credential_list
Create a Credential List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | Yes | — | A human readable descriptive text that describes the CredentialList, up to 64 characters long. |
twilio_sip_create_sip_credential_list_mapping
Create a CredentialListMapping resource for an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP Domain for which the CredentialList resource will be mapped. |
CredentialListSid | string | Yes | — | A 34 character string that uniquely identifies the CredentialList resource to map to the SIP domain. |
twilio_sip_create_sip_domain
Create a new Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ByocTrunkSid | string | No | — | The SID of the BYOC Trunk(Bring Your Own Carrier) resource that the Sip Domain will be associated with. |
DomainName | string | Yes | — | The unique address you reserve on Twilio to which you route your SIP traffic. Domain names can contain letters, digits, and ”-” and must end with sip.twilio.com. |
EmergencyCallerSid | string | No | — | Whether an emergency caller sid is configured for the domain. If present, this phone number will be used as the callback for the emergency call. |
EmergencyCallingEnabled | boolean | No | — | Whether emergency calling is enabled for the domain. If enabled, allows emergency calls on the domain from phone numbers with validated addresses. |
FriendlyName | string | No | — | A descriptive string that you created to describe the resource. It can be up to 64 characters long. |
Secure | boolean | No | — | Whether secure SIP is enabled for the domain. If enabled, TLS will be enforced and SRTP will be negotiated on all incoming calls to this sip domain. |
SipRegistration | boolean | No | — | Whether to allow SIP Endpoints to register with the domain to receive calls. Can be true or false. true allows SIP Endpoints to register with the domain to receive calls, false does not. |
VoiceFallbackMethod | string | No | — | The HTTP method we should use to call voice_fallback_url. Can be: GET or POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs while retrieving or executing the TwiML from voice_url. |
VoiceMethod | string | No | — | The HTTP method we should use to call voice_url. Can be: GET or POST. |
VoiceStatusCallbackMethod | string | No | — | The HTTP method we should use to call voice_status_callback_url. Can be: GET or POST. |
VoiceStatusCallbackUrl | string | No | — | The URL that we should call to pass status parameters (such as call ended) to your application. |
VoiceUrl | string | No | — | The URL we should when the domain receives a call. |
twilio_sip_create_sip_ip_access_control_list
Create a new IpAccessControlList resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | Yes | — | A human readable descriptive text that describes the IpAccessControlList, up to 255 characters long. |
twilio_sip_create_sip_ip_access_control_list_mapping
Create a new IpAccessControlListMapping resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP domain. |
IpAccessControlListSid | string | Yes | — | The unique id of the IP access control list to map to the SIP domain. |
twilio_sip_create_sip_ip_address
Create a new IpAddress resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
IpAccessControlListSid | string | Yes | — | The IpAccessControlList Sid with which to associate the created IpAddress resource. |
CidrPrefixLength | integer | No | — | An integer representing the length of the CIDR prefix to use with this IP address when accepting traffic. By default the entire IP address is used. |
FriendlyName | string | Yes | — | A human readable descriptive text for this resource, up to 255 characters long. |
IpAddress | string | Yes | — | An IP address in dotted decimal notation from which you want to accept traffic. Any SIP requests from this IP address will be allowed by Twilio. IPv4 only supported today. |
twilio_sip_delete_auth_calls_credential_list_mapping
Delete a credential list mapping from the requested domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resource to delete. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the CredentialListMapping resource to delete. |
twilio_sip_delete_auth_calls_ip_access_control_list_mapping
Delete an IP Access Control List mapping from the requested domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resources to delete. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the IpAccessControlListMapping resource to delete. |
twilio_sip_delete_auth_registrations_credential_list_mapping
Delete a credential list mapping from the requested domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resources to delete. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the CredentialListMapping resource to delete. |
twilio_sip_delete_credential
Delete a credential resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CredentialListSid | string | Yes | — | The unique id that identifies the credential list that contains the desired credentials. |
Sid | string | Yes | — | The unique id that identifies the resource to delete. |
twilio_sip_delete_credential_list
Delete a Credential List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The credential list Sid that uniquely identifies this resource |
twilio_sip_delete_credential_list_mapping
Delete a CredentialListMapping resource from an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP Domain that includes the resource to delete. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to delete. |
twilio_sip_delete_domain
Delete an instance of a Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the SipDomain resource to delete. |
twilio_sip_delete_ip_access_control_list
Delete an IpAccessControlList from the requested account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to delete. |
twilio_sip_delete_ip_access_control_list_mapping
Delete an IpAccessControlListMapping resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP domain. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to delete. |
twilio_sip_delete_ip_address
Delete an IpAddress resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
IpAccessControlListSid | string | Yes | — | The IpAccessControlList Sid that identifies the IpAddress resources to delete. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to delete. |
twilio_sip_fetch_sip_auth_calls_credential_list_mapping
Fetch a specific instance of a credential list mapping Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resource to fetch. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the CredentialListMapping resource to fetch. |
twilio_sip_fetch_sip_auth_calls_ip_access_control_list_mapping
Fetch a specific instance of an IP Access Control List mapping Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resource to fetch. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the IpAccessControlListMapping resource to fetch. |
twilio_sip_fetch_sip_auth_registrations_credential_list_mapping
Fetch a specific instance of a credential list mapping Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resource to fetch. |
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the CredentialListMapping resource to fetch. |
twilio_sip_fetch_sip_credential
Fetch a single credential. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CredentialListSid | string | Yes | — | The unique id that identifies the credential list that contains the desired credential. |
Sid | string | Yes | — | The unique id that identifies the resource to fetch. |
twilio_sip_fetch_sip_credential_list
Get a Credential List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The credential list Sid that uniquely identifies this resource |
twilio_sip_fetch_sip_credential_list_mapping
Fetch a single CredentialListMapping resource from an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP Domain that includes the resource to fetch. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to fetch. |
twilio_sip_fetch_sip_domain
Fetch an instance of a Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the SipDomain resource to fetch. |
twilio_sip_fetch_sip_ip_access_control_list
Fetch a specific instance of an IpAccessControlList Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to fetch. |
twilio_sip_fetch_sip_ip_access_control_list_mapping
Fetch an IpAccessControlListMapping resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP domain. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to fetch. |
twilio_sip_fetch_sip_ip_address
Read one IpAddress resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
IpAccessControlListSid | string | Yes | — | The IpAccessControlList Sid that identifies the IpAddress resources to fetch. |
Sid | string | Yes | — | A 34 character string that uniquely identifies the IpAddress resource to fetch. |
twilio_sip_list_sip_auth_calls_credential_list_mapping
Retrieve a list of credential list mappings belonging to the domain used in the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_auth_calls_ip_access_control_list_mapping
Retrieve a list of IP Access Control List mappings belonging to the domain used in the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_auth_registrations_credential_list_mapping
Retrieve a list of credential list mappings belonging to the domain used in the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | The SID of the SIP domain that contains the resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_credential
Retrieve a list of credentials. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CredentialListSid | string | Yes | — | The unique id that identifies the credential list that contains the desired credentials. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_credential_list
Get All Credential Lists Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_credential_list_mapping
Read multiple CredentialListMapping resources from an account. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP Domain that includes the resource to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_domain
Retrieve a list of domains belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_ip_access_control_list
Retrieve a list of IpAccessControlLists that belong to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_ip_access_control_list_mapping
Retrieve a list of IpAccessControlListMapping resources. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
DomainSid | string | Yes | — | A 34 character string that uniquely identifies the SIP domain. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_list_sip_ip_address
Read multiple IpAddress resources. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
IpAccessControlListSid | string | Yes | — | The IpAccessControlList Sid that identifies the IpAddress resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_sip_update_sip_credential
Update a credential resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CredentialListSid | string | Yes | — | The unique id that identifies the credential list that includes this credential. |
Sid | string | Yes | — | The unique id that identifies the resource to update. |
Password | string | No | — | The password that the username will use when authenticating SIP requests. The password must be a minimum of 12 characters, contain at least 1 digit, and have mixed case. (eg IWasAtSignal2018) |
twilio_sip_update_sip_credential_list
Update a Credential List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The credential list Sid that uniquely identifies this resource |
FriendlyName | string | Yes | — | A human readable descriptive text for a CredentialList, up to 64 characters long. |
twilio_sip_update_sip_domain
Update the attributes of a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the SipDomain resource to update. |
ByocTrunkSid | string | No | — | The SID of the BYOC Trunk(Bring Your Own Carrier) resource that the Sip Domain will be associated with. |
DomainName | string | No | — | The unique address you reserve on Twilio to which you route your SIP traffic. Domain names can contain letters, digits, and ”-” and must end with sip.twilio.com. |
EmergencyCallerSid | string | No | — | Whether an emergency caller sid is configured for the domain. If present, this phone number will be used as the callback for the emergency call. |
EmergencyCallingEnabled | boolean | No | — | Whether emergency calling is enabled for the domain. If enabled, allows emergency calls on the domain from phone numbers with validated addresses. |
FriendlyName | string | No | — | A descriptive string that you created to describe the resource. It can be up to 64 characters long. |
Secure | boolean | No | — | Whether secure SIP is enabled for the domain. If enabled, TLS will be enforced and SRTP will be negotiated on all incoming calls to this sip domain. |
SipRegistration | boolean | No | — | Whether to allow SIP Endpoints to register with the domain to receive calls. Can be true or false. true allows SIP Endpoints to register with the domain to receive calls, false does not. |
VoiceFallbackMethod | string | No | — | The HTTP method we should use to call voice_fallback_url. Can be: GET or POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs while retrieving or executing the TwiML requested by voice_url. |
VoiceMethod | string | No | — | The HTTP method we should use to call voice_url |
VoiceStatusCallbackMethod | string | No | — | The HTTP method we should use to call voice_status_callback_url. Can be: GET or POST. |
VoiceStatusCallbackUrl | string | No | — | The URL that we should call to pass status parameters (such as call ended) to your application. |
VoiceUrl | string | No | — | The URL we should call when the domain receives a call. |
twilio_sip_update_sip_ip_access_control_list
Rename an IpAccessControlList Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | A 34 character string that uniquely identifies the resource to udpate. |
FriendlyName | string | Yes | — | A human readable descriptive text, up to 255 characters long. |
twilio_sip_update_sip_ip_address
Update an IpAddress resource. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
IpAccessControlListSid | string | Yes | — | The IpAccessControlList Sid that identifies the IpAddress resources to update. |
Sid | string | Yes | — | A 34 character string that identifies the IpAddress resource to update. |
CidrPrefixLength | integer | No | — | An integer representing the length of the CIDR prefix to use with this IP address when accepting traffic. By default the entire IP address is used. |
FriendlyName | string | No | — | A human readable descriptive text for this resource, up to 255 characters long. |
IpAddress | string | No | — | An IP address in dotted decimal notation from which you want to accept traffic. Any SIP requests from this IP address will be allowed by Twilio. IPv4 only supported today. |

